package com.miaxis.newgzpt.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.newgzpt.domain.GzptSchActivation;
import com.miaxis.newgzpt.dto.GzptSchActivationListDTO;
import com.miaxis.newgzpt.vo.GzptSchActivationListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 视频VIP表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
public interface GzptSchActivationMapper extends BaseMapper<GzptSchActivation> {


    void saveSchActivation(GzptSchActivation schActivation);

    GzptSchActivation getSchActivation(Long userId);

    void delSchActivationByUserId(Long userId);

    void upDelSchActivationByUserId(@Param("userId")Long stuId,@Param("state")Integer state);

    List<GzptSchActivationListVO> selectSchActivationList(GzptSchActivationListDTO schActivationListDTO);
}
